Page MenuHomePhabricator

Stop double loading mediawiki.page.gallery.styles
Closed, ResolvedPublic

Description

In 1.26wmf21[1] we moved gallery styles into a separate resourceloader module. We double load the styles for cached pages. This task tracks ensuring that those styles are removed.

[1] https://gerrit.wikimedia.org/r/#/c/233084/

Event Timeline

Change 234592 had a related patch set uploaded (by Jdlrobson):
Don't double load gallery css

https://gerrit.wikimedia.org/r/234592

Change 233085 had a related patch set uploaded (by Jdlrobson):
Do not double load gallery styles now cache has expired

https://gerrit.wikimedia.org/r/233085

Jdlrobson set Security to None.
Jdlrobson moved this task from To classify to Sprint 56: 4... on the Reading-Web-Planning board.
Jdlrobson moved this task from Sprint 56: 4... to Sprint 55: π on the Reading-Web-Planning board.
Jdlrobson moved this task from Backlog to Tech debt on the MobileFrontend board.Sep 2 2015, 6:57 PM

@Jdlrobson: You've -1'd 234592. When's it going to be ready?

Desktop change can be merged now. https://gerrit.wikimedia.org/r/233085
Mobile will need to be merged after Monday (it got merged a week later). I'll move this back to dev when the desktop change is done.

Change 233085 merged by jenkins-bot:
Do not double load gallery styles now cache has expired

https://gerrit.wikimedia.org/r/233085

Just need to merge the code for https://gerrit.wikimedia.org/r/#/c/234592/
I just realised we can load this as due to the core change the module will be present anyhow so caching rules are the same as desktop

Florian closed this task as Resolved.Sep 18 2015, 11:59 PM

Change 234592 merged by jenkins-bot:
Don't double load gallery css

https://gerrit.wikimedia.org/r/234592

Jdlrobson reopened this task as Open.Sep 23 2015, 7:59 PM

Seems like this got reverted due to T98878 bahh legacy code.

Jdlrobson changed the task status from Open to Stalled.Sep 24 2015, 10:30 PM

Until the new cached pages have cleared (currently in 1.26wmf24 )

Remember, that the @Umherirrender's change will arrive wmf wikis with 1.27.0-wmf.1, not with 1.26wmf24 :)

If category pages gets cached, you have to wait 30 days from the last patch.

If not, you can wait 30 days from the first patch, because both patches adding the module to the parser cache, if <gallery> was used.

Special pages not cached, so there is no problem.

Jdlrobson changed the task status from Stalled to Open.Oct 8 2015, 12:37 AM

1.27.0-wmf.3 seems like a good branch to merge into. 3 weeks is more than enough for most of the category pages to have caught up and the fact that these styles are loaded on pages unnecessarily is more concerning right now.

Someone should feel to free to +2 https://gerrit.wikimedia.org/r/240567 in time for Monday's cut off